ncvalidator(1)

NAME
ncvalidator - validates a classic netCDF file against CDF file formats

SYNOPSIS

ncvalidator [-x] [-q] [-h] file

DESCRIPTION
ncvalidator checks a netCDF file whether it conforms the classic CDF file formats. If the input file is a valid NetCDF file, then a message of successful validation is printed on command-line output, for example, File "testfile.nc" is a valid NetCDF file. Otherwise, a NetCDF error message is printed.

OPTIONS

-x  Repair null-byte padding in file header.

-q  Quiet mode - print nothing on the command-line output. When in quiet mode, users should check exit status. See below in "EXIT STATUS".

-h  Print the available command-line options

EXIT STATUS
An exit status of 0 means no differences were found, and 1 means some differences were found. Note on VMS-based system, the exit status values are reversed.

SEE ALSO

ncmpidump(1), pnetcdf(3)

DATE
19 Dec 2017